@page "/product/{Id}"
@using Shop.StoreFront.Models

@inject HttpClient HttpClient;

@if (_product != null)
{
    <div class="row">
        <div class="col-md-4">images</div>
        <div class="col-md-8">
            <div class="row">
                <div class="col-md-8">
                    <h2>@_product.Title</h2>
                    <p>@_product.Description</p>
                </div>
            </div>
            <hr />
            <div class="row">
                <div class="col-md-8">
                    <h2>$ @_product.Price</h2>
                </div>
            </div>
        </div>
    </div>
    <hr />
    <div class="row">
        <div class="col-md-12">
            <ul class="nav nav-tabs">
              <li class="nav-item">
                <a class="nav-link active" href="#">Description</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Characteristics</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Comments</a>
              </li>
            </ul>
        </div>
    </div>
}

@code
{
    [Parameter]
    public string Id { get; set; }

    private Product _product;
    
    protected override async Task OnInitializedAsync()
    {
        var url = $"https://localhost:5001/api/Product/{Id}";
        _product = await HttpClient.GetFromJsonAsync<Product>(url);
    }
}
